Bug 1894654 - hcn-init.service fails on unsupported hardware
Summary: hcn-init.service fails on unsupported hardware
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: powerpc-utils
Version: 34
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Vasant Hegde
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2020-11-04 17:17 UTC by Adam Williamson
Modified: 2022-05-13 23:51 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-13 23:51:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2020-11-04 17:17:00 UTC
hcn-init.service is installed and enabled by default on all Power installs, it seems, as part of powerpc-utils. But it doesn't actually work on all Power systems. On the openQA worker hosts and guests, it fails immediately on startup:

===

Oct 29 17:10:04 openqa-p09-worker01.iad2.fedoraproject.org systemd[1]: Starting hybrid virtual network scan and config...
Oct 29 17:10:04 openqa-p09-worker01.iad2.fedoraproject.org hcnmgr[21385]: [DEBUG]:hcnscan enter
Oct 29 17:10:04 openqa-p09-worker01.iad2.fedoraproject.org hcnmgr[21385]: =======================10-29-2020 17:10:04============================
Oct 29 17:10:04 openqa-p09-worker01.iad2.fedoraproject.org hcnmgr[21385]: [ERROR]:hcnscan:error code 1, platform is not supported
Oct 29 17:10:04 openqa-p09-worker01.iad2.fedoraproject.org systemd[1]: hcn-init.service: Main process exited, code=exited, status=1/FAILURE
Oct 29 17:10:04 openqa-p09-worker01.iad2.fedoraproject.org systemd[1]: hcn-init.service: Failed with result 'exit-code'.
Oct 29 17:10:04 openqa-p09-worker01.iad2.fedoraproject.org systemd[1]: Failed to start hybrid virtual network scan and config.

===

meaning you have a failed service right out of the box, which isn't ideal. It might be good if this could be treated as a non-error case, somehow; perhaps hcnmgr could get a custom exit code for "platform is not supported" (it's not clear if 1 is used for anything else) and the systemd service could treat that as a normal exit, for instance.

Comment 1 Vasant Hegde 2020-11-06 05:02:15 UTC
Thanks for the bug report. I have asked `hcnmgr` command developer to look into this issue. We will keep you updated.

-Vasant

Comment 2 Dan Horák 2020-11-06 10:16:13 UTC
(In reply to Vasant Hegde from comment #1)
> Thanks for the bug report. I have asked `hcnmgr` command developer to look
> into this issue. We will keep you updated.

I believe this could be solved by using existing systemd mechanism - "conditional activation" based on detected hw

Comment 3 IBM Bug Proxy 2020-11-06 16:31:06 UTC
------- Comment From Mingming.Cao@ibm.com 2020-11-06 11:28 EDT-------
(In reply to comment #4)
> (In reply to Vasant Hegde from comment #1)
> > Thanks for the bug report. I have asked `hcnmgr` command developer to look
> > into this issue. We will keep you updated.
>
> I believe this could be solved by using existing systemd mechanism -
> "conditional activation" based on detected hw

Right, looking into this path now

yes, for hcn-init service , it should just print out platform is not supported, or, even better, not scheduled to run.

Comment 4 Ben Cotton 2021-02-09 16:17:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 6 Ben Cotton 2022-05-12 15:29:31 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 7 Adam Williamson 2022-05-13 23:51:06 UTC
This seems to have got fixed somewhere along the way, as the test isn't failing on openQA any more.


Note You need to log in before you can comment on or make changes to this bug.